@import "colors.css";
@import "grid.css";

@font-face {
  font-family: "Ustore-icons";
  src: url("/assets/fonts/ustore-icons/ustore-icons.woff2") format("woff2"),
    url("/assets/fonts/ustore-icons/ustore-icons.woff") format("woff"),
    url("/assets/fonts/ustore-icons/ustore-icons.ttf") format("truetype"),
    url("/assets/fonts/ustore-icons/ustore-icons.otf") format("opentype");
  font-weight: 500;
}

.uc-container {
  max-width: 1200px;
  margin: 0 auto;
}

.col-container > div.col:last-child {
  padding-top: 1em;
  margin-top: 45px;
  height: calc(100vh - 45px);
}

.modal-open .modal {
  z-index: 100000001 !important;
}

.modal-open .modal.dimension-zindex {
  z-index: 100000002 !important;
}

.toast,
#toast-container {
  z-index: 100000002 !important;
}

.toast {
  background-color: var(--dyn-main-color) !important;
}
.toast.toast-error {
  background-color: var(--danger) !important;
}

.no-scroll {
  overflow: hidden !important;
}

/**
header
**/
.content .page-header {
  margin-bottom: 1em;
  border-bottom: none;
  padding: 0 1em;
}
.content .page-header h1 {
  padding: 0;
  margin: 0;
  font-size: 1.4em;
  font-weight: bold;
  line-height: 2em;
  border-bottom: 0;

  padding-right: 10px;
}

.content .page-header h1 br {
  display: none;
}

.content .page-header blockquote,
.content .page-header small {
  margin-top: 0;
  padding: 0 12px;
  font-size: 13px;
  display: inline-block;
  margin-bottom: 0;
  border-left: 1px solid var(--grey);
  margin-left: 10px;
}
.content .page-header blockquote small {
  border-left: none;
  margin-left: 0;
}

.content .page-header blockquote footer:before,
.content .page-header blockquote small:before,
.content .page-header blockquote .small:before {
  content: "";
}

.content blockquote footer,
.content blockquote small,
.content blockquote .small {
  font-size: 0.7em;
  display: inline-block;
  padding: 0;
  margin-top: 0;
}

.col-container .navbar.navbar-static-top,
.col-container .navbar-fixed-top,
.col-container .navbar-static-top {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  padding-left: 0;
  margin-right: 0;
  background-color: var(--white) !important;
  z-index: 1000000;
  border-radius: 0;
  margin-top: 0;
  min-height: 55px;
  display: flex;
  flex-direction: row;
}

.flex-auto {
  flex: auto;
}

.col-container .navbar-static-top .logo-system {
  display: block;
  min-height: 55px;
  width: 250px;
  background-color: var(--white);
}

.col-container .navbar-static-top .logo-system img {
  height: 55px;
  width: auto;
}

.col-container .navbar-top-links li a {
  max-height: none;
  padding: 1rem;
  padding-top: 2rem;
  font-size: 1.2rem;
}

/**
* Boxies
**/
.linear-box {
  border-radius: 0.5rem;
  border: 1px dashed var(--grey-light);
  margin-bottom: 0;
  background-color: var(--dyn-white);
}

.linear-box .box-header {
  border-radius: 0.5rem 0.5rem 0 0;
  border-top: 0;
  background-color: transparent;
}

.linear-box .box-body {
  padding: 10px 15px;
}

.linear-box .box-footer {
  border-top: 1px dashed var(--grey-light) !important;
}

.dyn .containers-charts .linear-box .box-body {
  display: flex;
  justify-content: center;
  flex-direction: column;
}
.dyn .containers-charts .linear-box .box-body .legend {
  display: flex;
  justify-content: center;
}
.dyn .containers-charts .linear-box .box-body .legend .detail {
  font-size: 1rem;
  display: flex;
  justify-content: center;
  text-transform: uppercase;
  margin: 12px;
}
.dyn .containers-charts .linear-box .box-body .legend .detail .color {
  display: inline-block;
  width: 24px;
  height: 12px;
  border-radius: 1px solid var(--dyn-black);
  background: var(--dyn-grey);
  margin-right: 4px;
}
.dyn .containers-charts .linear-box .box-footer h5 {
  margin: 0;
}

/**
Menu
**/
.metismenu {
  background-color: var(--white);
}
.metismenu .nav-header,
.pace-done .nav-header {
  background-color: var(--white);
}

.nav.metismenu > li > a {
  padding: 10px 15px 10px 15px;
  text-transform: none !important;
  font-weight: normal;
}

.col-container > .col:first-child {
  margin-top: 55px;
}
  
.main-header .navbar-default ul.nav-second-level,
.navbar-default .nav > li.active {
}

.col-container .navbar-top-links li a.username-top {
  border: 1px solid var(--grey-light);
  padding: 5px 10px;
  border-radius: 40px;
  display: block;
  line-height: 11px;
  font-size: 1.4rem;
  margin: 15px 0;
  min-height: 0;
  transition: 0.3s all;
}

.col-container .navbar-top-links li a.username-top:hover,
.col-container .navbar-top-links li.open a.username-top {
  background-color: var(--dyn-main-color);
  color: var(--white);
}

.col-container .navbar-top-links li.username-menu-area .dropdown-menu {
  background-color: var(--white-transparent) !important;
  backdrop-filter: blur(10px);
  left: auto;
  right: 0;
  color: var(--foreground);
}

.col-container .navbar-top-links li .dropdown-menu.dropdown-alerts {
  right: 10px;
  left: auto;
  min-width: 250px;
}

.col-container
  .navbar-top-links
  li.username-menu-area.open
  .dropdown-menu
  a:hover {
  background-color: var(--dyn-main-color);
  color: var(--white);
}

.col-container .company-list-area .company-list-link {
  padding: 5px 10px;
  border-radius: 40px;
  display: block;
  line-height: 11px;
  font-size: 1.4rem;
  margin: 15px 0;
  min-height: 0;
  transition: 0.3s all;
}

.modal-loader {
  animation-name: fade-in;
  animation-duration: 0.3s;
  animation-timing-function: ease-in;
  animation-delay: 0s;
  animation-iteration-count: 1;
  animation-direction: normal;
  animation-fill-mode: forwards;
}

.modal-loader .box-panel {
  animation-name: scale-up-center;
  animation-duration: 0.4s;
  animation-timing-function: ease;
  animation-delay: 0;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}

.box-panel .box-header h3 {
  margin: 0;
}

.search-marketplace .search-panel {
  opacity: 0;
}

.flex-row-reverse {
  display: flex;
  flex-direction: row-reverse;
}

.margin-bottom-1 {
  margin-bottom: 10px;
}

.dyn .btn-cart {
  background-color: var(--white-transparent) !important;
  backdrop-filter: blur(5px);
}
.dyn .btn-cart.disabled,
.dyn .btn-cart.disabled:hover {
  background-color: var(--white-half-transparent) !important;
}

@media only screen and (max-width: 600px) {
  .content .page-header.display-flex,
  .page-header.display-flex {
    display: block !important;
  }
}